| Version: 3.2.5

Classes | Macros | Enumerations | Variables
listctrl.h File Reference

## Classes

class | wxListCtrl
| A list control presents lists in a number of formats: list view, report view, icon view and small icon view. More...
class | wxListEvent
| A list event holds information about events associated with wxListCtrl objects. More...
class | wxListView
| This class currently simply presents a simpler to use interface for the wxListCtrl – it can be thought of as a façade for that complicated class. More...
class | wxListItem
| This class stores information about a wxListCtrl item or column. More...

## Macros

#define | wxLC_VRULES 0x0001
| style flags More...
#define | wxLC_HRULES 0x0002
#define | wxLC_ICON 0x0004
#define | wxLC_SMALL_ICON 0x0008
#define | wxLC_LIST 0x0010
#define | wxLC_REPORT 0x0020
#define | wxLC_ALIGN_TOP 0x0040
#define | wxLC_ALIGN_LEFT 0x0080
#define | wxLC_AUTOARRANGE 0x0100
#define | wxLC_VIRTUAL 0x0200
#define | wxLC_EDIT_LABELS 0x0400
#define | wxLC_NO_HEADER 0x0800
#define | wxLC_NO_SORT_HEADER 0x1000
#define | wxLC_SINGLE_SEL 0x2000
#define | wxLC_SORT_ASCENDING 0x4000
#define | wxLC_SORT_DESCENDING 0x8000
#define | wxLC_MASK_TYPE (wxLC_ICON | wxLC_SMALL_ICON | wxLC_LIST | wxLC_REPORT)
#define | wxLC_MASK_ALIGN (wxLC_ALIGN_TOP | wxLC_ALIGN_LEFT)
#define | wxLC_MASK_SORT (wxLC_SORT_ASCENDING | wxLC_SORT_DESCENDING)
#define | wxLIST_MASK_STATE 0x0001
| Mask flags to tell app/GUI what fields of wxListItem are valid. More...
#define | wxLIST_MASK_TEXT 0x0002
#define | wxLIST_MASK_IMAGE 0x0004
#define | wxLIST_MASK_DATA 0x0008
#define | wxLIST_SET_ITEM 0x0010
#define | wxLIST_MASK_WIDTH 0x0020
#define | wxLIST_MASK_FORMAT 0x0040
#define | wxLIST_STATE_DONTCARE 0x0000
| State flags for indicating the state of an item. More...
#define | wxLIST_STATE_DROPHILITED 0x0001
#define | wxLIST_STATE_FOCUSED 0x0002
#define | wxLIST_STATE_SELECTED 0x0004
#define | wxLIST_STATE_CUT 0x0008
#define | wxLIST_HITTEST_ABOVE 0x0001
| Hit test flags, used in HitTest. More...
#define | wxLIST_HITTEST_BELOW 0x0002
#define | wxLIST_HITTEST_NOWHERE 0x0004
#define | wxLIST_HITTEST_ONITEMICON 0x0020
#define | wxLIST_HITTEST_ONITEMLABEL 0x0080
#define | wxLIST_HITTEST_ONITEMSTATEICON 0x0200
#define | wxLIST_HITTEST_TOLEFT 0x0400
#define | wxLIST_HITTEST_TORIGHT 0x0800
#define | wxLIST_HITTEST_ONITEM (wxLIST_HITTEST_ONITEMICON | wxLIST_HITTEST_ONITEMLABEL | wxLIST_HITTEST_ONITEMSTATEICON)
#define | wxLIST_GETSUBITEMRECT_WHOLEITEM -1l
| GetSubItemRect constants. More...

## Enumerations

enum | { wxLIST_NEXT_ABOVE , wxLIST_NEXT_ALL , wxLIST_NEXT_BELOW , wxLIST_NEXT_LEFT , wxLIST_NEXT_RIGHT }
| Flags for GetNextItem (MSW only except wxLIST_NEXT_ALL) More...
enum | { wxLIST_ALIGN_DEFAULT , wxLIST_ALIGN_LEFT , wxLIST_ALIGN_TOP , wxLIST_ALIGN_SNAP_TO_GRID }
| Alignment flags for Arrange (MSW only except wxLIST_ALIGN_LEFT) More...
enum | wxListColumnFormat { wxLIST_FORMAT_LEFT , wxLIST_FORMAT_RIGHT , wxLIST_FORMAT_CENTRE , wxLIST_FORMAT_CENTER = wxLIST_FORMAT_CENTRE }
| Column format (MSW only except wxLIST_FORMAT_LEFT) More...
enum | { wxLIST_AUTOSIZE = -1 , wxLIST_AUTOSIZE_USEHEADER = -2 }
| Values for SetColumnWidth() More...
enum | { wxLIST_RECT_BOUNDS , wxLIST_RECT_ICON , wxLIST_RECT_LABEL }
| Flag values for GetItemRect. More...
enum | { wxLIST_FIND_UP , wxLIST_FIND_DOWN , wxLIST_FIND_LEFT , wxLIST_FIND_RIGHT }
| Flag values for FindItem (MSW only) More...

## Variables

wxEventType | wxEVT_LIST_BEGIN_DRAG
wxEventType | wxEVT_LIST_BEGIN_RDRAG
wxEventType | wxEVT_LIST_BEGIN_LABEL_EDIT
wxEventType | wxEVT_LIST_END_LABEL_EDIT
wxEventType | wxEVT_LIST_DELETE_ITEM
wxEventType | wxEVT_LIST_DELETE_ALL_ITEMS
wxEventType | wxEVT_LIST_ITEM_SELECTED
wxEventType | wxEVT_LIST_ITEM_DESELECTED
wxEventType | wxEVT_LIST_KEY_DOWN
wxEventType | wxEVT_LIST_INSERT_ITEM
wxEventType | wxEVT_LIST_COL_CLICK
wxEventType | wxEVT_LIST_ITEM_RIGHT_CLICK
wxEventType | wxEVT_LIST_ITEM_MIDDLE_CLICK
wxEventType | wxEVT_LIST_ITEM_ACTIVATED
wxEventType | wxEVT_LIST_CACHE_HINT
wxEventType | wxEVT_LIST_COL_RIGHT_CLICK
wxEventType | wxEVT_LIST_COL_BEGIN_DRAG
wxEventType | wxEVT_LIST_COL_DRAGGING
wxEventType | wxEVT_LIST_COL_END_DRAG
wxEventType | wxEVT_LIST_ITEM_FOCUSED
wxEventType | wxEVT_LIST_ITEM_CHECKED
wxEventType | wxEVT_LIST_ITEM_UNCHECKED

## Macro Definition Documentation

## ◆ wxLC_ALIGN_LEFT

#define wxLC_ALIGN_LEFT 0x0080

## ◆ wxLC_ALIGN_TOP

#define wxLC_ALIGN_TOP 0x0040

## ◆ wxLC_AUTOARRANGE

#define wxLC_AUTOARRANGE 0x0100

## ◆ wxLC_EDIT_LABELS

#define wxLC_EDIT_LABELS 0x0400

## ◆ wxLC_HRULES

#define wxLC_HRULES 0x0002

## ◆ wxLC_ICON

#define wxLC_ICON 0x0004

## ◆ wxLC_LIST

#define wxLC_LIST 0x0010

## ◆ wxLC_MASK_ALIGN

#define wxLC_MASK_ALIGN (wxLC_ALIGN_TOP | wxLC_ALIGN_LEFT)

## ◆ wxLC_MASK_SORT

#define wxLC_MASK_SORT (wxLC_SORT_ASCENDING | wxLC_SORT_DESCENDING)

## ◆ wxLC_MASK_TYPE

#define wxLC_MASK_TYPE (wxLC_ICON | wxLC_SMALL_ICON | wxLC_LIST | wxLC_REPORT)

## ◆ wxLC_NO_HEADER

#define wxLC_NO_HEADER 0x0800

## ◆ wxLC_NO_SORT_HEADER

#define wxLC_NO_SORT_HEADER 0x1000

## ◆ wxLC_REPORT

#define wxLC_REPORT 0x0020

## ◆ wxLC_SINGLE_SEL

#define wxLC_SINGLE_SEL 0x2000

## ◆ wxLC_SMALL_ICON

#define wxLC_SMALL_ICON 0x0008

## ◆ wxLC_SORT_ASCENDING

#define wxLC_SORT_ASCENDING 0x4000

## ◆ wxLC_SORT_DESCENDING

#define wxLC_SORT_DESCENDING 0x8000

## ◆ wxLC_VIRTUAL

#define wxLC_VIRTUAL 0x0200

## ◆ wxLC_VRULES

#define wxLC_VRULES 0x0001

style flags

## ◆ wxLIST_GETSUBITEMRECT_WHOLEITEM

#define wxLIST_GETSUBITEMRECT_WHOLEITEM -1l

GetSubItemRect constants.

## ◆ wxLIST_HITTEST_ABOVE

#define wxLIST_HITTEST_ABOVE 0x0001

Hit test flags, used in HitTest.

## ◆ wxLIST_HITTEST_BELOW

#define wxLIST_HITTEST_BELOW 0x0002

## ◆ wxLIST_HITTEST_NOWHERE

#define wxLIST_HITTEST_NOWHERE 0x0004

## ◆ wxLIST_HITTEST_ONITEM

#define wxLIST_HITTEST_ONITEM (wxLIST_HITTEST_ONITEMICON | wxLIST_HITTEST_ONITEMLABEL | wxLIST_HITTEST_ONITEMSTATEICON)

## ◆ wxLIST_HITTEST_ONITEMICON

#define wxLIST_HITTEST_ONITEMICON 0x0020

## ◆ wxLIST_HITTEST_ONITEMLABEL

#define wxLIST_HITTEST_ONITEMLABEL 0x0080

## ◆ wxLIST_HITTEST_ONITEMSTATEICON

#define wxLIST_HITTEST_ONITEMSTATEICON 0x0200

## ◆ wxLIST_HITTEST_TOLEFT

#define wxLIST_HITTEST_TOLEFT 0x0400

## ◆ wxLIST_HITTEST_TORIGHT

#define wxLIST_HITTEST_TORIGHT 0x0800

## ◆ wxLIST_MASK_DATA

#define wxLIST_MASK_DATA 0x0008

## ◆ wxLIST_MASK_FORMAT

#define wxLIST_MASK_FORMAT 0x0040

## ◆ wxLIST_MASK_IMAGE

#define wxLIST_MASK_IMAGE 0x0004

## ◆ wxLIST_MASK_STATE

#define wxLIST_MASK_STATE 0x0001

Mask flags to tell app/GUI what fields of wxListItem are valid.

## ◆ wxLIST_MASK_TEXT

#define wxLIST_MASK_TEXT 0x0002

## ◆ wxLIST_MASK_WIDTH

#define wxLIST_MASK_WIDTH 0x0020

## ◆ wxLIST_SET_ITEM

#define wxLIST_SET_ITEM 0x0010

## ◆ wxLIST_STATE_CUT

#define wxLIST_STATE_CUT 0x0008

## ◆ wxLIST_STATE_DONTCARE

#define wxLIST_STATE_DONTCARE 0x0000

State flags for indicating the state of an item.

## ◆ wxLIST_STATE_DROPHILITED

#define wxLIST_STATE_DROPHILITED 0x0001

## ◆ wxLIST_STATE_FOCUSED

#define wxLIST_STATE_FOCUSED 0x0002

## ◆ wxLIST_STATE_SELECTED

#define wxLIST_STATE_SELECTED 0x0004

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Flags for GetNextItem (MSW only except wxLIST_NEXT_ALL)

Enumerator
wxLIST_NEXT_ABOVE |
wxLIST_NEXT_ALL |
wxLIST_NEXT_BELOW |
wxLIST_NEXT_LEFT |
wxLIST_NEXT_RIGHT |

## ◆ anonymous enum

anonymous enum

Alignment flags for Arrange (MSW only except wxLIST_ALIGN_LEFT)

Enumerator
wxLIST_ALIGN_DEFAULT |
wxLIST_ALIGN_LEFT |
wxLIST_ALIGN_TOP |
wxLIST_ALIGN_SNAP_TO_GRID |

## ◆ anonymous enum

anonymous enum

Values for SetColumnWidth()

Enumerator
wxLIST_AUTOSIZE |
wxLIST_AUTOSIZE_USEHEADER |

## ◆ anonymous enum

anonymous enum

Flag values for GetItemRect.

Enumerator
wxLIST_RECT_BOUNDS |
wxLIST_RECT_ICON |
wxLIST_RECT_LABEL |

## ◆ anonymous enum

anonymous enum

Flag values for FindItem (MSW only)

Enumerator
wxLIST_FIND_UP |
wxLIST_FIND_DOWN |
wxLIST_FIND_LEFT |
wxLIST_FIND_RIGHT |

## ◆ wxListColumnFormat

enum wxListColumnFormat

Column format (MSW only except wxLIST_FORMAT_LEFT)

Enumerator
wxLIST_FORMAT_LEFT |
wxLIST_FORMAT_RIGHT |
wxLIST_FORMAT_CENTRE |
wxLIST_FORMAT_CENTER |

## Variable Documentation

## ◆ wxEVT_LIST_BEGIN_DRAG

wxEventType wxEVT_LIST_BEGIN_DRAG

## ◆ wxEVT_LIST_BEGIN_LABEL_EDIT

wxEventType wxEVT_LIST_BEGIN_LABEL_EDIT

## ◆ wxEVT_LIST_BEGIN_RDRAG

wxEventType wxEVT_LIST_BEGIN_RDRAG

## ◆ wxEVT_LIST_CACHE_HINT

wxEventType wxEVT_LIST_CACHE_HINT

## ◆ wxEVT_LIST_COL_BEGIN_DRAG

wxEventType wxEVT_LIST_COL_BEGIN_DRAG

## ◆ wxEVT_LIST_COL_CLICK

wxEventType wxEVT_LIST_COL_CLICK

## ◆ wxEVT_LIST_COL_DRAGGING

wxEventType wxEVT_LIST_COL_DRAGGING

## ◆ wxEVT_LIST_COL_END_DRAG

wxEventType wxEVT_LIST_COL_END_DRAG

## ◆ wxEVT_LIST_COL_RIGHT_CLICK

wxEventType wxEVT_LIST_COL_RIGHT_CLICK

## ◆ wxEVT_LIST_DELETE_ALL_ITEMS

wxEventType wxEVT_LIST_DELETE_ALL_ITEMS

## ◆ wxEVT_LIST_DELETE_ITEM

wxEventType wxEVT_LIST_DELETE_ITEM

## ◆ wxEVT_LIST_END_LABEL_EDIT

wxEventType wxEVT_LIST_END_LABEL_EDIT

## ◆ wxEVT_LIST_INSERT_ITEM

wxEventType wxEVT_LIST_INSERT_ITEM

## ◆ wxEVT_LIST_ITEM_ACTIVATED

wxEventType wxEVT_LIST_ITEM_ACTIVATED

## ◆ wxEVT_LIST_ITEM_CHECKED

wxEventType wxEVT_LIST_ITEM_CHECKED

## ◆ wxEVT_LIST_ITEM_DESELECTED

wxEventType wxEVT_LIST_ITEM_DESELECTED

## ◆ wxEVT_LIST_ITEM_FOCUSED

wxEventType wxEVT_LIST_ITEM_FOCUSED

## ◆ wxEVT_LIST_ITEM_MIDDLE_CLICK

wxEventType wxEVT_LIST_ITEM_MIDDLE_CLICK

## ◆ wxEVT_LIST_ITEM_RIGHT_CLICK

wxEventType wxEVT_LIST_ITEM_RIGHT_CLICK

## ◆ wxEVT_LIST_ITEM_SELECTED

wxEventType wxEVT_LIST_ITEM_SELECTED

## ◆ wxEVT_LIST_ITEM_UNCHECKED

wxEventType wxEVT_LIST_ITEM_UNCHECKED

## ◆ wxEVT_LIST_KEY_DOWN

wxEventType wxEVT_LIST_KEY_DOWN